# Uses of Class
javax.swing.LayoutStyle

Packages that use LayoutStyle
Package
Description
javax.swing
Provides a set of "lightweight" (all-Java language) components that, to the maximum degree possible, work the same on all platforms.
javax.swing.plaf.metal
Provides user interface objects built according to the Java look and feel (once codenamed Metal), which is the default look and feel.

## Uses of LayoutStyle in javax.swing

Methods in javax.swing that return LayoutStyle
Modifier and Type
Method
Description
`static LayoutStyle`
LayoutStyle.`getInstance()`
Returns the shared instance of `LayoutStyle`.
`LayoutStyle`
GroupLayout.`getLayoutStyle()`
Returns the `LayoutStyle` used for calculating the preferred gap between components.
`LayoutStyle`
LookAndFeel.`getLayoutStyle()`
Returns the `LayoutStyle` for this look and feel.
Methods in javax.swing with parameters of type LayoutStyle
Modifier and Type
Method
Description
`static void`
LayoutStyle.`setInstance(LayoutStyle style)`
Sets the shared instance of `LayoutStyle`.
`void`
GroupLayout.`setLayoutStyle(LayoutStyle layoutStyle)`
Sets the `LayoutStyle` used to calculate the preferred gaps between components.

## Uses of LayoutStyle in javax.swing.plaf.metal

Methods in javax.swing.plaf.metal that return LayoutStyle
Modifier and Type
Method
Description
`LayoutStyle`
MetalLookAndFeel.`getLayoutStyle()`
Returns a `LayoutStyle` implementing the Java look and feel design guidelines as specified at http://www.oracle.com/technetwork/java/hig-136467.html.